#! /bin/sh
############################################################################
# David E. Konerding, LBNL
# See ../LBNLCopyright for copyright notice!
###########################################################################

## client stub script.  Simply invoke the Python application with all
## the arguments the user passed
if [ "$PYCLST_BASE" != "" ]; then
    BASE=$PYCLST_BASE
else
    BASE=.
fi

code=${BASE}/NameTemplate_client.py
if [ ! -f $code ]; then
    echo "NameTemplate.sh: FATAL ERROR.  Cannot find client code ($code).  Make sure that the client code was deployed properly"
    exit -1
fi
set - python $code "$@"
exec "$@"
